<?xml version="1.0" encoding="UTF-8"?>
<rmml>
<!--
$RCSfile: rnmc_common.xml,v $
$Revision: 764 $
$State: Exp $
$Locker:  $

last change: $Date: 2008-10-07 13:23:26 +0400 (Вт, 07 окт 2008) $
             $Author: toha $

  Lacerta Project
  Copyright (C) 2007 RNMC
-->
<include src="rnmc_specialManager.xml"/>

<include src="my_new_object.xml"/>

<composition name="rnmc_CustomUtils">
<script><![CDATA[
/*
  function initStdMyNewObjectFromNode(srcNode, parentObject){
    if(srcNode.nodeName == "my_new_object"){
      var newObject = new Composition();
      newObject._class = "my_new_object_class";
      newObject.visible = false;
      newObject.parent = parentObject;
      if(newObject.initFromNode(srcNode)){
        return newObject;
      } else {
        newObject.parent = null;
        newObject = null;
        return null;
      }
    }
    
    return null;
  }
*/  
  function initStdObjectFromNodeCustom(xmlNode, parentObject)
  {
    var newObject = null;
/*
    switch (xmlNode.nodeName)
    {
      case "my_new_object":
        newObject = initStdMyNewObjectFromNode(xmlNode, parentObject);
        break;
    }
*/
    return newObject;
  }
]]></script>
</composition>
</rmml>
